using UnityEngine;

public class GoToWaitingRoom : AI_Action
{
    public override bool PrePerform()
    {
        return true;
    }
    
    public override bool PostPerform()
    {
        AI_World.Instance.GetWorld().ModifyState("Waiting", 1);
        AI_World.Instance.AddPatient(this.gameObject);
        agentWorldStates.ModifyState("InWaitingRoom", 1);
        return true;
    }
}
